| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
tif_dirinfo.c File Reference
`#include "tiffiop.h"`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions
const TIFFFieldInfo * | _TIFFGetFieldInfo (size_t *size)
const TIFFFieldInfo * | _TIFFGetExifFieldInfo (size_t *size)
void | _TIFFSetupFieldInfo (TIFF *tif, const TIFFFieldInfo info[], size_t n)
void | TIFFMergeFieldInfo (TIFF *tif, const TIFFFieldInfo info[], int n)
int | _TIFFMergeFieldInfo (TIFF *tif, const TIFFFieldInfo info[], int n)
void | _TIFFPrintFieldInfo (TIFF *tif, FILE *fd)
int | TIFFDataWidth (TIFFDataType type)
int | _TIFFDataSize (TIFFDataType type)
TIFFDataType | _TIFFSampleToTagType (TIFF *tif)
const TIFFFieldInfo * | _TIFFFindFieldInfo (TIFF *tif, ttag_t tag, TIFFDataType dt)
const TIFFFieldInfo * | _TIFFFindFieldInfoByName (TIFF *tif, const char *field_name, TIFFDataType dt)
const TIFFFieldInfo * | _TIFFFieldWithTag (TIFF *tif, ttag_t tag)
const TIFFFieldInfo * | _TIFFFieldWithName (TIFF *tif, const char *field_name)
const TIFFFieldInfo * | _TIFFFindOrRegisterFieldInfo (TIFF *tif, ttag_t tag, TIFFDataType dt)
TIFFFieldInfo * | _TIFFCreateAnonFieldInfo (TIFF *tif, ttag_t tag, TIFFDataType field_type)

## Function Documentation

TIFFFieldInfo* _TIFFCreateAnonFieldInfo | ( | TIFF * | tif,
|  | ttag_t | tag,
|  | TIFFDataType | field_type
| ) |  |

Definition at line 849 of file tif_dirinfo.c.

int _TIFFDataSize | ( | TIFFDataType | type | ) |

Definition at line 697 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFFieldWithName | ( | TIFF * | tif,
|  | const char * | field_name
| ) |  |

Definition at line 818 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFFieldWithTag | ( | TIFF * | tif,
|  | ttag_t | tag
| ) |  |

Definition at line 804 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFFindFieldInfo | ( | TIFF * | tif,
|  | ttag_t | tag,
|  | TIFFDataType | dt
| ) |  |

Definition at line 747 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFFindFieldInfoByName | ( | TIFF * | tif,
|  | const char * | field_name,
|  | TIFFDataType | dt
| ) |  |

Definition at line 775 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFFindOrRegisterFieldInfo | ( | TIFF * | tif,
|  | ttag_t | tag,
|  | TIFFDataType | dt
| ) |  |

Definition at line 832 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFGetExifFieldInfo | ( | size_t * | size | ) |

Definition at line 523 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFGetFieldInfo | ( | size_t * | size | ) |

Definition at line 516 of file tif_dirinfo.c.

int _TIFFMergeFieldInfo | ( | TIFF * | tif,
|  | const TIFFFieldInfo | info[],
|  | int | n
| ) |  |

Definition at line 593 of file tif_dirinfo.c.

void _TIFFPrintFieldInfo | ( | TIFF * | tif,
|  | FILE * | fd
| ) |  |

Definition at line 638 of file tif_dirinfo.c.

TIFFDataType _TIFFSampleToTagType | ( | TIFF * | tif | ) |

Definition at line 726 of file tif_dirinfo.c.

void _TIFFSetupFieldInfo | ( | TIFF * | tif,
|  | const TIFFFieldInfo | info[],
|  | size_t | n
| ) |  |

Definition at line 530 of file tif_dirinfo.c.

int TIFFDataWidth | ( | TIFFDataType | type | ) |

Definition at line 662 of file tif_dirinfo.c.

void TIFFMergeFieldInfo | ( | TIFF * | tif,
|  | const TIFFFieldInfo | info[],
|  | int | n
| ) |  |

Definition at line 583 of file tif_dirinfo.c.